import java.awt.Frame;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JOptionPane;


// Bote de dialogue modale pour l'insertion d'une affectation
public class AffectationDlg extends JDialog implements ActionListener {
	
	private Affectation affectation;
	private JTextField partieGaucheField;
	private JTextField partieDroiteField;
	
	public AffectationDlg (Frame parent, String titre, Affectation affectation) {
		super (parent,titre,true);
		JLabel partieGaucheLbl = new JLabel ("Partie gauche");
		JLabel partieDroiteLbl = new JLabel ("Partie droite");
		partieGaucheField = new JTextField (20);
		partieDroiteField = new JTextField (20);
		JButton annuler = new JButton ("Annuler");
		JButton valider = new JButton ("Valider");
		GridBagLayout layout = new GridBagLayout ();
		GridBagConstraints gc = new GridBagConstraints ();
		getContentPane().setLayout (layout);
		gc.gridx=0;
		gc.gridy=0;
		gc.gridwidth=2;
		gc.weightx=0;
		gc.weighty=1;
		layout.setConstraints (partieGaucheLbl, gc);
		getContentPane().add(partieGaucheLbl);
		gc.gridy=1;
		gc.weightx=1;
		layout.setConstraints (partieGaucheField,gc);
		getContentPane().add(partieGaucheField);
		gc.gridy=2;
		gc.weightx=0;
		layout.setConstraints (partieDroiteLbl,gc);
		getContentPane().add (partieDroiteLbl);
		gc.gridy=3;
		gc.weightx=1;
		layout.setConstraints (partieDroiteField,gc);
		getContentPane().add (partieDroiteField);
		gc.gridy=4;
		gc.gridwidth=1;
		gc.weightx=0;
		gc.anchor=GridBagConstraints.WEST;
		layout.setConstraints (valider,gc);
		valider.addActionListener (this);
		valider.setActionCommand ("valider");
		getContentPane().add (valider);
		gc.gridx=1;
		gc.weightx=0;
		gc.anchor=GridBagConstraints.EAST;
		layout.setConstraints (annuler,gc);
		annuler.addActionListener (this);
		annuler.setActionCommand ("annuler");
		getContentPane().add (annuler);
		this.affectation=affectation;
		setResizable (false);
		setLocationRelativeTo (parent);
		pack ();
		setVisible (true);
	}
	
	public void actionPerformed (ActionEvent event) {
		String cmd = event.getActionCommand();
		if (cmd.equals("annuler")) {
			affectation.setValide (false);
			dispose();
		}
		else if (cmd.equals("valider")) {
			if ((!partieGaucheField.getText().equals("")) && (!partieDroiteField.getText().equals(""))) {
				affectation.setPartieGauche (partieGaucheField.getText());
				affectation.setPartieDroite (partieDroiteField.getText());
				affectation.setValide(true);
				dispose ();
			}
			else
			JOptionPane.showMessageDialog(this,"Vous devez remplir les deux champs.","Erreur",JOptionPane.ERROR_MESSAGE);
		}
	}
	
}
