import javax.swing.filechooser.FileFilter;
import java.io.File;

class FiltreAlgo extends FileFilter {

	private static String getExtension(File f) {
			String ext = null;
			String s = f.getName();
			int i = s.lastIndexOf('.');

			if (i > 0 &&  i < s.length() - 1) {
				ext = s.substring(i+1).toLowerCase();
			}
			return ext;
		}

	public boolean accept (File fichier) {
		if (fichier.isDirectory())
			return true;
		String extension = getExtension(fichier);
			if (extension != null) {
				if (extension.equals("alg")) 
					return true;
				else
					return false;
			}
				return false;
	}

	public String getDescription () {
		return "Algorithmes (.alg)";
	}

}
