import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints; 
import java.awt.Frame;
import javax.swing.JDialog;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JOptionPane;

class BouclePourDlg extends JDialog implements ActionListener {
	
	private BouclePour bouclePour;
	private JTextField variableField;
	private JTextField valeurInitialeField;
	private JTextField valeurFinaleField;
	
	public BouclePourDlg (Frame parent, String titre, BouclePour bouclePour) {
		super (parent, titre, true);
		this.bouclePour=bouclePour;
		JLabel variableLbl = new JLabel ("Variable");
		JLabel valeurInitialeLbl = new JLabel ("Valeur initiale");
		JLabel valeurFinaleLbl = new JLabel ("Valeur finale");
		variableField = new JTextField (20);
		valeurInitialeField = new JTextField (20);
		valeurFinaleField = new JTextField (20);
		JButton valider = new JButton ("valider");
		JButton annuler = new JButton ("annuler");
		GridBagLayout layout = new GridBagLayout ();
		GridBagConstraints gc = new GridBagConstraints ();
		getContentPane().setLayout(layout);
		gc.gridx=0;
		gc.gridy=0;
		gc.gridwidth=2;
		layout.setConstraints(variableLbl,gc);
		getContentPane().add(variableLbl);
		gc.gridy=1;
		layout.setConstraints(variableField,gc);
		getContentPane().add(variableField);
		gc.gridy=2;
		layout.setConstraints(valeurInitialeLbl,gc);
		getContentPane().add(valeurInitialeLbl);
		gc.gridy=3;
		layout.setConstraints(valeurInitialeField,gc);
		getContentPane().add(valeurInitialeField);
		gc.gridy=4;
		layout.setConstraints(valeurFinaleLbl,gc);
		getContentPane().add(valeurFinaleLbl);
		gc.gridy=5;
		layout.setConstraints(valeurFinaleField,gc);
		getContentPane().add(valeurFinaleField);
		gc.gridy=6;
		gc.anchor=GridBagConstraints.WEST;
		gc.gridwidth=1;
		layout.setConstraints(valider,gc);
		valider.addActionListener (this);
		valider.setActionCommand ("valider");
		getContentPane().add(valider);
		gc.gridx=1;
		gc.anchor=GridBagConstraints.EAST;
		layout.setConstraints(annuler,gc);
		annuler.addActionListener (this);
		annuler.setActionCommand ("annuler");
		getContentPane().add(annuler);
		setResizable (false);
		setLocationRelativeTo (parent);
		pack ();
		setVisible (true);
	}
	
	public void actionPerformed (ActionEvent event) {
		String cmd = event.getActionCommand();
		if (cmd.equals("annuler")) {
			bouclePour.setValide(false);
			dispose ();
		}
		else if (cmd.equals ("valider")) {
			if ((variableField.getText().equals("")) || (valeurInitialeField.getText().equals("")) || (valeurFinaleField.getText().equals("")))
				JOptionPane.showMessageDialog(this,"Vous devez renseigner tous les champs.","Erreur",JOptionPane.ERROR_MESSAGE);
			else {
				bouclePour.setVariable (variableField.getText());
				bouclePour.setValeurInitiale (valeurInitialeField.getText());
				bouclePour.setValeurFinale (valeurFinaleField.getText());
				bouclePour.setValide (true);
				dispose ();
			}
		}
	}
	
}
