import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.Frame;
import javax.swing.JDialog;
import javax.swing.JButton;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

class BoucleTantQueDlg extends JDialog implements ActionListener {
	
	private BoucleTantQue boucleTantQue;
	private JTextField conditionField;
	
	public BoucleTantQueDlg (Frame parent, String titre, BoucleTantQue boucleTantQue) {
		super (parent, titre, true);
		this.boucleTantQue = boucleTantQue;
		JLabel conditionLbl = new JLabel ("Condition");
		conditionField = new JTextField (20);
		JButton valider = new JButton ("valider");
		JButton annuler = new JButton ("annuler");
		GridBagLayout layout = new GridBagLayout ();
		GridBagConstraints gc = new GridBagConstraints ();
		getContentPane().setLayout (layout);
		gc.gridx=0;
		gc.gridy=0;
		gc.gridwidth=2;
		layout.setConstraints (conditionLbl,gc);
		getContentPane().add(conditionLbl);
		gc.gridy=1;
		layout.setConstraints (conditionField,gc);
		getContentPane().add(conditionField);
		gc.gridy=2;
		gc.anchor=GridBagConstraints.WEST;
		gc.gridwidth=1;
		layout.setConstraints (valider,gc);
		valider.addActionListener (this);
		valider.setActionCommand ("valider");
		getContentPane().add(valider);
		gc.gridx=1;
		gc.anchor=GridBagConstraints.EAST;
		layout.setConstraints (annuler,gc);
		annuler.addActionListener (this);
		annuler.setActionCommand ("annuler");
		getContentPane().add(annuler);
		setResizable (false);
		setLocationRelativeTo (parent);
		pack ();
		setVisible (true);
	}
	
	public void actionPerformed (ActionEvent event) {
		String cmd = event.getActionCommand();
		if (cmd.equals("annuler")) {
			boucleTantQue.setValide(false);
			dispose ();
		}
		else if (cmd.equals("valider")) {
			if (conditionField.getText().equals(""))
				JOptionPane.showMessageDialog(this,"Vous devez remplir le champ \"Condition\"","Erreur",JOptionPane.ERROR_MESSAGE); 
			else {
				boucleTantQue.setCondition (conditionField.getText());
				boucleTantQue.setValide (true);
				dispose ();
			}
		}
	}
}
