import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.Frame;
import javax.swing.JDialog;
import javax.swing.JButton;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JCheckBox;
import javax.swing.JOptionPane;

class TestSiDlg extends JDialog implements ActionListener {

	private TestSi testSi;
	private JTextField conditionField;
	private JCheckBox sinonCBox;

	public TestSiDlg (Frame parent, String titre, TestSi testSi) {
		super (parent,titre,true);
		this.testSi=testSi;
		JLabel conditionLbl = new JLabel ("Condition");
		conditionField = new JTextField (20);
		sinonCBox = new JCheckBox ("Ajouter la clause sinon");
		JButton valider = new JButton ("valider");
		JButton annuler = new JButton ("annuler");
		GridBagLayout layout = new GridBagLayout ();
		GridBagConstraints gc = new GridBagConstraints ();
		getContentPane().setLayout (layout);
		gc.gridx=0;
		gc.gridy=0;
		gc.gridwidth=2;
		layout.setConstraints(conditionLbl,gc);
		getContentPane().add(conditionLbl);
		gc.gridy=1;
		layout.setConstraints (conditionField,gc);
		getContentPane().add(conditionField);
		gc.gridy=2;
		layout.setConstraints (sinonCBox,gc);
		getContentPane().add(sinonCBox);
		gc.gridwidth=1;
		gc.gridy=3;
		gc.anchor=GridBagConstraints.WEST;
		layout.setConstraints (valider,gc);
		valider.addActionListener (this);
		valider.setActionCommand ("valider");
		getContentPane().add(valider);
		gc.gridx=1;
		gc.anchor=GridBagConstraints.EAST;
		layout.setConstraints (annuler,gc);
		annuler.addActionListener (this);
		annuler.setActionCommand("annuler");
		getContentPane().add(annuler);
		setResizable (false);
		setLocationRelativeTo (parent);
		pack();
		setVisible (true);
	}

	public void actionPerformed (ActionEvent event) {
		String cmd = event.getActionCommand();
		if (cmd.equals("annuler")) {
			testSi.setValide(false);
			dispose ();
		}
		else if (cmd.equals("valider")) {
			if (conditionField.getText().equals(""))
			JOptionPane.showMessageDialog(this,"Veuillez remplir le champ <i>Condition</i>","Erreur",JOptionPane.ERROR_MESSAGE);
			else {
				testSi.setValide(true);
				testSi.setCondition(conditionField.getText());
				testSi.setSinon(sinonCBox.isSelected());
				dispose ();
			}
		}
	}

}
